# Class: download_svg

## LocusZoom_Widgets~download_svg()

Button to export current plot to an SVG image

## Constructor

#### new download_svg()

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`layout.button_html` | string | <optional> | "Download SVG" |
`layout.button_title` | string | <optional> | "Download hi-res image" |
`layout.filename` | string | <optional> | "locuszoom.svg" | The default filename to use when saving the image
`layout.custom_event_name` | string | <optional> | 'widget_save_svg' | The name of the event that will be emitted when the button is clicked

Source:
  - components/toolbar/widgets.js, line 867
See:
  - module:LocusZoom_Widgets~BaseWidget for additional options

### Methods

#### _getBlobUrl() → {Promise}

Converts the SVG string into a downloadable binary object

Source:
  - components/toolbar/widgets.js, line 1020

##### Returns:

Type
  Promise